From dc0552fc7d38f3f694fb7731fd85a3ad04b91445 Mon Sep 17 00:00:00 2001
From: Rob Pilling <robpilling@gmail.com>
Date: Wed, 17 Jun 2020 20:02:24 +0100
Subject: [PATCH 1/3] Exit with git's error code for `pass git [...]`

---
 src/password-store.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/password-store.sh b/src/password-store.sh
index 77f3eda..aa8c745 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -661,7 +661,7 @@ cmd_git() {
 	elif [[ -n $INNER_GIT_DIR ]]; then
 		tmpdir nowarn #Defines $SECURE_TMPDIR. We don't warn, because at most, this only copies encrypted files.
 		export TMPDIR="$SECURE_TMPDIR"
-		git -C "$INNER_GIT_DIR" "$@"
+		git -C "$INNER_GIT_DIR" "$@" || exit $?
 	else
 		die "Error: the password store is not a git repository. Try \"$PROGRAM git init\"."
 	fi
-- 
2.20.1 (Apple Git-117)

